| Home | Libraries | People | FAQ | More

## Struct template PriorityQueue

boost::heap::PriorityQueue

## Synopsis

    // In header: <boost/heap/heap_concepts.hpp>

    template<typename C>
    struct PriorityQueue {
      // types
      typedef C::iterator        iterator;
      typedef C::const_iterator  const_iterator;
      typedef C::allocator_type  allocator_type;
      typedef C::value_compare   value_compare;
      typedef C::value_type      value_type;
      typedef C::const_reference const_reference;

      // public member functions
       BOOST_CONCEPT_USAGE(PriorityQueue);
    };

## Description

### `PriorityQueue` public member functions

1.      BOOST_CONCEPT_USAGE(PriorityQueue);